import fs from 'fs'
import path from 'path'
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue2'

export default defineConfig({
  base: process.env.BUILD_ENV === 'prod' ? 'https://webapp-pub.ezijing.com/website/prod/center-register-show-h5/' : '/',
  plugins: [vue()],
  server: {
    open: true,
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './https/ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './https/ezijing.com.pem'))
    },
    proxy: {
      '/api': {
        // target: 'http://localhost-activity-frontend.ezijing.com',
        target: 'https://certificate-show-h5.ezijing.com/',
        changeOrigin: true,
        rewrite: path => path.replace(/^\//, '')
      }
      // '/api': 'https://app.ezijing.com'
    }
  },
  resolve: {
    alias: [
      {
        find: '@',
        replacement: path.resolve(__dirname, 'src')
      }
    ]
  }
})
